/**
 * KVStorageConfig DI interface.
 * @alpha
 */
export interface KVStorageConfig {
    /**
     * The account id to use.
     *
     * @privateRemarks
     * May require access control.
     *
     * @alpha
     */
    account?: string;
    /**
     * The namespace to use.
     *
     * @privateRemarks
     * May require access control.
     *
     * @alpha
     */
    namespace?: string;
    /**
     * Access control auth key.
     *
     * @alpha
     */
    authKey?: string;
    /**
     * Access control auth email.
     *
     * @remarks
     * Part of access requirements and where to report integration issues.
     *
     * @alpha
     */
    authEmail?: string;
}
/**
 * The default configuration for the KVStorage service.
 * @alpha
 */
export declare const defaultKVStorageConfig: KVStorageConfig;
/**
 * KVStorageConfig DI key.
 *
 * @internal
 */
export declare const KVStorageConfig: import("@microsoft/fast-foundation").InterfaceSymbol<KVStorageConfig>;
//# sourceMappingURL=kv-config.service.d.ts.map