import { Message, SocketObservable } from '../../../connect';
import type { Datasource, DatasourceOptions, DatasourceStatus, Dataview, ResourceType } from '../../../datasource';
import { FieldMetadata, FilteredDataServerResult, IndexDetail, Metadata, MetadataDetail, RequestServerResult } from '../../../metadata';
/**
 * @internal
 */
export declare class DatasourceMock implements Datasource {
    status: DatasourceStatus;
    fetchMetadataRequired: boolean;
    protected fetchingMetadata: boolean;
    originalFieldDef: MetadataDetail[];
    fieldMetadata: FieldMetadata[];
    requestFields: MetadataDetail[];
    customRequestFields: MetadataDetail[];
    availableIndexes: IndexDetail[];
    initialized: boolean;
    readOnly: boolean;
    resourceType: ResourceType;
    stream: SocketObservable<FilteredDataServerResult | RequestServerResult>;
    init(options: DatasourceOptions, fetchMeta: boolean): Promise<boolean>;
    startStream(): Promise<void>;
    /**
     * Convenience method to avoid you having to prime connect etc.
     * @param meta - The metadata to set.
     */
    setMetadata(meta: Metadata): void;
    unsetMedata(): void;
    /**
     * Convenience method to avoid you having to prime connect etc.
     * @param message - The Message to stream.
     */
    setStream(message: Message): void;
    unsetStream(): void;
    deinit(): void;
    destroy(): void;
    validResourceName(resourceName: string): boolean;
    getMetadata?(resourceName: string): Promise<FieldMetadata[]>;
    snapshot(params?: any): Promise<Message<any>>;
    snapshotFiltered(rowId?: string): Promise<any[]>;
    updateData?(data: any[]): Promise<void>;
    dataHandler?(data: any[]): any[];
    addView?(view: Dataview): void;
    dropView?(view: Dataview): void;
    setFilter?(name: string, value: any, type?: string): Promise<void>;
    clearFilter?(name: string): Promise<void>;
    createItem?(data: any): Promise<string>;
    deleteItem?(itemId: string): Promise<void>;
    updateItem?(itemId: string, data: any): Promise<void>;
}
//# sourceMappingURL=datasource.d.ts.map