import { User as NextUser, DefaultUser as DefaultNextUser } from '@genesislcap/foundation-user';
/**
 * Represents a User object with associated permissions and profiles.
 *
 * @deprecated - Use {@link @genesislcap/foundation-user#User} instead.
 *
 * @public
 */
export interface User extends NextUser {
}
/**
 * Represents the current user (i.e. the user that is currently logged in).
 *
 * @deprecated - Use {@link @genesislcap/foundation-user#DefaultUser} instead.
 *
 * @public
 */
export declare class CurrentUser extends DefaultNextUser implements User {
}
/**
 * User DI key.
 *
 * @privateRemarks
 * Marked as internal to stop api-extractor becoming confused cross-linking tokens with the same name.
 * Using aliasTo to point to {@link @genesislcap/foundation-user#User}.
 *
 * @deprecated - Use {@link @genesislcap/foundation-user#User} instead.
 *
 * @internal
 */
export declare const User: import("@microsoft/fast-foundation").InterfaceSymbol<User>;
//# sourceMappingURL=user.d.ts.map