import { logger } from '../utils';
/**
 * This mapper file is temporary and will be removed in v15 as this is owned by foundation-auth.
 * It is loose on typing due to this.
 */
const fromSystemDTO = (system) => (system ? { date: system.DATE } : null);
const fromProductDTO = (products) => products
    ? products.map((p) => ({
        name: p.NAME,
        version: p.VERSION,
    }))
    : [];
const fromDTOStringArray = (arr) => Array.isArray(arr) ? arr.map((v) => v !== null && v !== void 0 ? v : '') : [];
export const loginDTOMapper = (dto) => {
    try {
        if ((dto === null || dto === void 0 ? void 0 : dto.MESSAGE_TYPE) === 'EVENT_LOGIN_AUTH_ACK') {
            const { DETAILS } = dto;
            const ack = {
                messageType: dto.MESSAGE_TYPE,
                sourceRef: dto.SOURCE_REF,
                userName: dto.USER_NAME,
                updateQueue: dto.UPDATE_QUEUE,
                zeroMqProxyModeEnabled: dto.ZERO_MQ_PROXY_MODE_ENABLED,
                zeroMqProxyInboundPort: dto.ZERO_MQ_PROXY_INBOUND_PORT,
                zeroMqProxyOutboundPort: dto.ZERO_MQ_PROXY_OUTBOUND_PORT,
                userKVs: dto.USER,
                details: DETAILS
                    ? {
                        system: fromSystemDTO(DETAILS.SYSTEM),
                        heartbeatIntervalSecs: DETAILS.HEARTBEAT_INTERVAL_SECS,
                        failedLoginAttempts: DETAILS.FAILED_LOGIN_ATTEMPTS,
                        rejectedLoginAttempts: DETAILS.REJECTED_LOGIN_ATTEMPTS,
                        lastLoginDatetime: DETAILS.LAST_LOGIN_DATETIME,
                        daysToPasswordExpiry: DETAILS.DAYS_TO_PASSWORD_EXPIRY,
                        product: fromProductDTO(DETAILS.PRODUCT),
                    }
                    : null,
                permission: fromDTOStringArray(dto.PERMISSION),
                profile: fromDTOStringArray(dto.PROFILE),
            };
            return ack;
        }
        throw new Error('No Entity mapping implementation for provided DTO');
    }
    catch (e) {
        logger.error(e);
        throw e;
    }
};
