import { DI } from '@microsoft/fast-foundation';
import { isWebSocketExpression } from '../utils';
/**
 * The default configuration for connecting to a WS service.
 * @public
 */
export const defaultConnectConfig = {
    connect: {
        alwaysOn: false,
        enableHeartbeat: true,
        enableHeartbeatLogging: false,
        heartbeatInterval: 10000,
        verboseHeartbeat: false,
        enableMessageLogging: false,
    },
    reconnect: {
        reconnectAttempts: 10,
        reconnectInterval: 10000,
        reconnectStreams: true,
    },
    isWebSocketExpression,
};
/**
 * Configuration options for the Connect (WS) instance.
 * @internal
 */
export const ConnectConfig = DI.createInterface((x) => x.instance(defaultConnectConfig));
