import { HTTP_CONFIG } from '@genesislcap/foundation-utils';
import { DI } from '@microsoft/fast-foundation';
/**
 * The default configuration for connecting to an HTTP service.
 * @public
 */
export const defaultHttpConnectConfig = {
    polling: Object.assign({ POLLING_MAP: {
            EVENT_AMEND_USER: {
                TEMP_FREQUENCY: 500,
                AMOUNT_OF_POLLS: 5,
                QUERIES: ['ALL_USERS'],
            },
        }, POLLING_INTERVAL_MAP: {
            ALL_TRADES: 5000,
            ALL_USERS: 5000,
            ALL_PROCESSES_STATUS: 10000,
        }, POLLING_FREQUENCY: 5000 }, (HTTP_CONFIG && HTTP_CONFIG.length ? JSON.parse(HTTP_CONFIG) : {})),
};
/**
 * Configuration options for the Connect (HTTP) instance.
 * @internal
 */
export const HttpConnectConfig = DI.createInterface((x) => x.instance(defaultHttpConnectConfig));
