export class Ticker {
    constructor(interval) {
        this.interval = interval;
        this.workerScript = `
    const startTime = Date.now();
    setInterval(function() {
      self.postMessage(Date.now() - startTime);
    }, ${this.interval});
  `;
    }
    start(tick) {
        this.stop();
        this.runWorker(tick);
    }
    stop() {
        if (this.worker) {
            this.worker.terminate();
            delete this.worker;
        }
    }
    runWorker(tick) {
        if (!this.worker) {
            this.worker = new Worker(URL.createObjectURL(new Blob([this.workerScript], { type: 'text/javascript' })));
            this.worker.onmessage = (message) => tick(message.data);
        }
    }
}
