export const updateState = (state, update) => {
    if ((update === null || update === void 0 ? void 0 : update.ROW) && state && state.length > 0) {
        update.ROW.forEach((row) => {
            const eventData = row;
            if (eventData && eventData.DETAILS) {
                const ref = eventData.DETAILS.ROW_REF;
                const type = eventData.DETAILS.OPERATION;
                if (type === 'INSERT') {
                    if (!state.find((x) => { var _a; return ((_a = x.DETAILS) === null || _a === void 0 ? void 0 : _a.ROW_REF) === ref; })) {
                        state.unshift(eventData);
                    }
                }
                if (type === 'DELETE') {
                    state = state.filter((x) => { var _a, _b; return ((_a = row.DETAILS) === null || _a === void 0 ? void 0 : _a.ROW_REF) !== ((_b = x.DETAILS) === null || _b === void 0 ? void 0 : _b.ROW_REF); });
                }
                if (type === 'MODIFY') {
                    state = state.map((item) => { var _a; return ((_a = item.DETAILS) === null || _a === void 0 ? void 0 : _a.ROW_REF) === ref ? Object.assign(Object.assign({}, item), eventData) : item; });
                }
            }
        });
    }
    else if (update && (!state || state.length === 0)) {
        state = [...new Set(update.ROW)];
    }
    return state;
};
