import { BehaviorSubject, from } from 'rxjs';
import { SocketSubject } from '../../../connect/socket';
/**
 * @internal
 */
export class SocketMock {
    constructor() {
        this.isConnectedSubject = new BehaviorSubject(true);
        this.host = 'mock-host';
        this.socketMessagesSubject = new SocketSubject();
    }
    connect(host, options, reconnectOptions) {
        this.host = host;
        return Promise.resolve(true);
    }
    disconnect() { }
    send(message) {
        return Promise.resolve(this.nextMessage);
    }
    sendForStream(message, onMessage, onError, onComplete) {
        return from(Promise.resolve(this.nextMessage));
    }
    sendForStreamWithoutTeardown(message, onMessage, onError) {
        return from(Promise.resolve(this.nextMessage));
    }
    socketMessages() {
        return this.socketMessagesSubject;
    }
    reset() {
        throw new Error('Method not implemented.');
    }
}
