import { __awaiter } from "tslib";
import { ResourceType } from '../../../../datasource';
/**
 * @public
 */
export class GenesisResourcesMock {
    constructor() {
        this.resources = [];
        this.nextIsValidResourceResponse = true;
        this.nextResourceTypeForResponse = ResourceType.DATASERVER;
    }
    /** {@inheritDoc GenesisResources.isValidResource} */
    isValidResource(resourceName) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.nextIsValidResourceResponse;
        });
    }
    /** {@inheritDoc GenesisResources.getResourceTypeFor} */
    getResourceTypeFor(resourceName) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.nextResourceTypeForResponse;
        });
    }
    destroy() { }
}
