import { User as NextUser, DefaultUser as DefaultNextUser } from '@genesislcap/foundation-user';
import { DI } from '@microsoft/fast-foundation';
/**
 * Represents the current user (i.e. the user that is currently logged in).
 *
 * @deprecated - Use {@link @genesislcap/foundation-user#DefaultUser} instead.
 *
 * @public
 */
export class CurrentUser extends DefaultNextUser {
}
/**
 * User DI key.
 *
 * @privateRemarks
 * Marked as internal to stop api-extractor becoming confused cross-linking tokens with the same name.
 * Using aliasTo to point to {@link @genesislcap/foundation-user#User}.
 *
 * @deprecated - Use {@link @genesislcap/foundation-user#User} instead.
 *
 * @internal
 */
export const User = DI.createInterface((x) => x.aliasTo(NextUser));
