<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@genesislcap/foundation-comms](./foundation-comms.md) &gt; [CredentialManager](./foundation-comms.credentialmanager.md)

## CredentialManager interface

Represents a system for managing user credentials and authentication tokens.

**Signature:**

```typescript
export interface CredentialManager 
```

## Methods

|  Method | Description |
|  --- | --- |
|  [createBasicCredentials(inputs)](./foundation-comms.credentialmanager.createbasiccredentials.md) | Creates a set of basic authentication credentials using the specified input data. |
|  [createRefreshCredentials(inputs)](./foundation-comms.credentialmanager.createrefreshcredentials.md) | Creates a set of refresh authentication credentials using the specified input data. |
|  [createSSOCredentials(inputs)](./foundation-comms.credentialmanager.createssocredentials.md) | Creates a set of SSO authentication credentials using the specified input data. |
|  [getCredentials(options)](./foundation-comms.credentialmanager.getcredentials.md) | Retrieves stored credentials. |
|  [getCredentialsFromContainer(options)](./foundation-comms.credentialmanager.getcredentialsfromcontainer.md) | Retrieves credential data from the browser's credential manager. |
|  [getCredentialsFromCookie()](./foundation-comms.credentialmanager.getcredentialsfromcookie.md) | Retrieves credential data from a browser cookie. |
|  [getMFAToken()](./foundation-comms.credentialmanager.getmfatoken.md) | Retrieves the current MFA token, if any. |
|  [getRefreshToken()](./foundation-comms.credentialmanager.getrefreshtoken.md) | Retrieves the current refresh token, if any. |
|  [getSSOToken()](./foundation-comms.credentialmanager.getssotoken.md) | Retrieves the current SSO token, if any. |
|  [getUsername()](./foundation-comms.credentialmanager.getusername.md) | Retrieves the current username, if any. |
|  [normaliseLegacyCredentialData(data, cookie)](./foundation-comms.credentialmanager.normaliselegacycredentialdata.md) | Normalise legacy credential data. |
|  [preventSilentAccess()](./foundation-comms.credentialmanager.preventsilentaccess.md) | Prevents silent access by requiring the user to authenticate before making API requests. |
|  [removeAll()](./foundation-comms.credentialmanager.removeall.md) | Removes all user crendentials data. |
|  [removeCookie()](./foundation-comms.credentialmanager.removecookie.md) | Removes the user's cookie. |
|  [removeMFAToken()](./foundation-comms.credentialmanager.removemfatoken.md) | Removes the current MFA token, if any. |
|  [removeRefreshToken()](./foundation-comms.credentialmanager.removerefreshtoken.md) | Removes the current refresh token, if any. |
|  [removeSSOToken()](./foundation-comms.credentialmanager.removessotoken.md) | Removes the current SSO token, if any. |
|  [removeUsername()](./foundation-comms.credentialmanager.removeusername.md) | Removes the current username, if any. |
|  [storeCredentials(data)](./foundation-comms.credentialmanager.storecredentials.md) | Stores user credentials securely. |
|  [storeCredentialsInContainer(data)](./foundation-comms.credentialmanager.storecredentialsincontainer.md) | Stores the specified credential data in the browser's credential manager. |
|  [storeCredentialsInCookie(data)](./foundation-comms.credentialmanager.storecredentialsincookie.md) | Stores the specified credential data in a browser cookie. |
|  [validateBasicCredentials(credentials)](./foundation-comms.credentialmanager.validatebasiccredentials.md) | Validates the specified set of basic authentication credentials. |
|  [validateRefreshCredentials(credentials)](./foundation-comms.credentialmanager.validaterefreshcredentials.md) | Validates the specified set of refresh authentication credentials. |
|  [validateSSOCredentials(credentials)](./foundation-comms.credentialmanager.validatessocredentials.md) | Validates the specified set of SSO authentication credentials. |
|  [validateUserCredentialData(data, ensurePassword)](./foundation-comms.credentialmanager.validateusercredentialdata.md) | Validate user credential data returned from the container or a cookie. |

