<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@genesislcap/foundation-comms](./foundation-comms.md) &gt; [getDatasource](./foundation-comms.getdatasource.md)

## getDatasource() function

Get Datasource from the DI container.

**Signature:**

```typescript
export declare function getDatasource(): Datasource;
```
**Returns:**

[Datasource](./foundation-comms.datasource.md)

## Remarks

A utility method for host applications that are not using decorators or the DI container.

## Example


```ts
import { FilteredDataServerResult, getDatasource, SocketObservable } from '@genesislcap/foundation-comms';
...
private ds = getDatasource();
private dsSub: SocketObservable<FilteredDataServerResult>;
...
const dsInit = await this.ds.init({
  criteria: '',
  isSnapshot: false,
  resourceName: 'ALL_POSITIONS',
  reverse: false,
  maxRows: 250,
  maxView: 1000,
});
if (!dsInit) {
  logger.debug(`Failed to initialise 'ALL_POSITIONS' datasource`);
  return;
}
this.dsSub = this.ds.stream.subscribe((result) => { ... });
```

